Package wx :: Package py :: Module interpreter :: Class InterpreterAlaCarte

[frames | no frames]

## Class InterpreterAlaCarte

    InteractiveInterpreter --+
                             |
                   Interpreter --+
                                 |
                                InterpreterAlaCarte

Demo Interpreter.

Method Summary
| ``__init__`(self, locals, rawin, stdin, stdout, stderr, ps1, ps2)` Create an interactive interpreter object.

Class Variable Summary

Method Details

### __init__(self, locals, rawin, stdin, stdout, stderr, ps1='main prompt', ps2='continuation prompt')
(Constructor)

Create an interactive interpreter object.

  Overrides:
    `wx.py.interpreter.Interpreter.__init__`

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:38 2007 | http://epydoc.sf.net